## org.red5.server.stream
Class PlayEngine.Builder

    java.lang.Object
      org.red5.server.stream.PlayEngine.Builder

Enclosing class:
  PlayEngine

    public static final class PlayEngine.Builder

extends Object

Builder pattern

Constructor Summary
`PlayEngine.Builder(PlaylistSubscriberStream playlistSubscriberStream, ISchedulingService schedulingService, IConsumerService consumerService, IProviderService providerService)`

Method Summary
`PlayEngine` `build()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlayEngine.Builder

    public PlayEngine.Builder(PlaylistSubscriberStream playlistSubscriberStream,
                              ISchedulingService schedulingService,
                              IConsumerService consumerService,
                              IProviderService providerService)

Method Detail

### build

    public PlayEngine build()

Copyright © 2006-2010 The Red5 Project